aboutsummaryrefslogtreecommitdiffstats
path: root/testing/luajit/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2014-04-02 08:15:59 +0300
committerTimo Teräs <timo.teras@iki.fi>2014-04-02 08:17:07 +0300
commit5c8cfe25633f541caff527f2f205320b97dd38db (patch)
tree448be7600d08ff43a26ba347187972a66b885f81 /testing/luajit/APKBUILD
parent987e2cc052d6f9852da2a5f520d508902910abc8 (diff)
downloadaports-5c8cfe25633f541caff527f2f205320b97dd38db.tar.gz
aports-5c8cfe25633f541caff527f2f205320b97dd38db.tar.bz2
aports-5c8cfe25633f541caff527f2f205320b97dd38db.tar.xz
testing/luajit: upgrade to 2.0.3, pax mark the binary
Diffstat (limited to 'testing/luajit/APKBUILD')
-rw-r--r--testing/luajit/APKBUILD12
1 files changed, 9 insertions, 3 deletions
diff --git a/testing/luajit/APKBUILD b/testing/luajit/APKBUILD
index b01f66bb28..837b58257b 100644
--- a/testing/luajit/APKBUILD
+++ b/testing/luajit/APKBUILD
@@ -2,13 +2,13 @@
# Contributor: Bartłomiej Piotrowski <nospam@bpiotrowski.pl>
pkgname=luajit
-pkgver=2.0.0
+pkgver=2.0.3
pkgrel=0
pkgdesc='Just-in-time compiler and replacement for Lua 5.1 '
url='http://luajit.org'
arch="all"
license="MIT"
-makedepends="$depends_dev"
+makedepends="$depends_dev paxctl"
subpackages="$pkgname-dev $pkgname-doc"
source="http://luajit.org/download/LuaJIT-$pkgver.tar.gz"
@@ -23,8 +23,14 @@ package() {
cd "$_builddir"
make install DESTDIR="$pkgdir" PREFIX=/usr || return 1
+ local paxflags="-m"
+ [ "$CARCH" == "x86" ] && paxflags="-msp"
+ paxctl -c $paxflags "$pkgdir"/usr/bin/luajit-$pkgver || return 1
+
install -Dm644 "$_builddir"/COPYRIGHT \
$pkgdir/usr/share/licenses/$pkgname/COPYRIGHT
}
-md5sums="97a2b87cc0490784f54b64cfb3b8f5ad LuaJIT-2.0.0.tar.gz"
+md5sums="f14e9104be513913810cd59c8c658dc0 LuaJIT-2.0.3.tar.gz"
+sha256sums="55be6cb2d101ed38acca32c5b1f99ae345904b365b642203194c585d27bebd79 LuaJIT-2.0.3.tar.gz"
+sha512sums="7b3e3de22ac3602299b5918b60801e45a3278e547a15c16fdae7359538d4ada27ba664935d5f97c7409f330c2f8efeaae9ea03415f5e9d5a9d81e022cd5d36e0 LuaJIT-2.0.3.tar.gz"